[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedIcon.UpdateFromHandle

Frees the existing icon image and reloads it from the specified handle.

## Declaration

Source position: graphics.pp line 1546

`protected procedure TSharedIcon.UpdateFromHandle(`
`NewHandle: TLCLHandle`
`); virtual;`

## Arguments

`NewHandle` |  | TLCLHandle instance assigned as the handle for the shared icon.

## Description

Calls FreeHandle to free the existing handle for the Icon in the widgetset class, and sets the handle to the value specified in NewHandle. Gets icon information from the widgetset class and adds a new icon image to the list of Images.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type in the NewHandle parameter.

## See also

LCLType.TLCLHandle |  | Alias to the TLCLHandle type defined for widgetset references.
WSReferences.TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.